Subject: Re: EMAC device-tree binding (#2)

From: David Gibson <[email-masked]>
Date: Fri, 2 Feb 2007 12:12:14 +1100

On Tue, Jan 30, 2007 at 11:58:27AM +1100, Benjamin Herrenschmidt wrote:
> According to the various comments I got, here's the latest binding for
> EMAC:

[snip]
>  - cell-index        : 1 cell, hardware index of the EMAC cell on a given ASIC (typically
>                        0x00000000 and 0x00000001 for EMAC-0 and EMAC-1 on each Axon chip)

I noticed that some of the Freescale device trees used a property
called 'device-id' for what appears to be the same thing as this on
their UCC.  Maybe we should use that name for EMAC and the other 4xx
devices as well?

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson